summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Sean Hinchee <henesy.dev@gmail.com>2018-06-08 23:57:46 +0100
committer David Spencer <idlemoor@slackbuilds.org>2018-06-09 00:02:51 +0100
commit982edbcf16aaf075e7b73247b46e854fbb58a969 (patch)
treeb91164a26c72e445ae80e4bb01724aeace006c16 /network
parent31e3deb9e27779a38800afe16c7d0b9fd4f7e96f (diff)
downloadslackbuilds-982edbcf16aaf075e7b73247b46e854fbb58a969.tar.gz
slackbuilds-982edbcf16aaf075e7b73247b46e854fbb58a969.tar.xz
network/drawterm: Added (connect to Plan 9 and 9front systems).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/drawterm/README7
-rw-r--r--network/drawterm/drawterm.SlackBuild79
-rw-r--r--network/drawterm/drawterm.info10
-rw-r--r--network/drawterm/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/network/drawterm/README b/network/drawterm/README
new file mode 100644
index 0000000000..306da479f7
--- /dev/null
+++ b/network/drawterm/README
@@ -0,0 +1,7 @@
+drawterm -- utility for connecting to Plan 9 and 9front systems.
+
+Drawterm is a program which attempts to emulate various portions of
+a 9front kernel and summarily connect to a 9front cpu and auth
+server. 9front's fork of drawterm adds support for 9front's refined
+authentication protocol, but can authenticate with less secure
+Plan 9 systems using p9sk1.
diff --git a/network/drawterm/drawterm.SlackBuild b/network/drawterm/drawterm.SlackBuild
new file mode 100644
index 0000000000..241e4a0981
--- /dev/null
+++ b/network/drawterm/drawterm.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for drawterm
+
+# Copyright 2018 Sean Hinchee
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=drawterm
+VERSION=${VERSION:-dc703b3438f9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# The makefile uses the build host's uname to determine the target architecture,
+# and won't handle our CFLAGS, and can't 'make install'.
+CONF=unix make
+
+install -D -t $PKG/usr/bin -m755 drawterm
+install -D -t $PKG/usr/man/man1 -m755 drawterm.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/drawterm/drawterm.info b/network/drawterm/drawterm.info
new file mode 100644
index 0000000000..0fec204c43
--- /dev/null
+++ b/network/drawterm/drawterm.info
@@ -0,0 +1,10 @@
+PRGNAM="drawterm"
+VERSION="dc703b3438f9"
+HOMEPAGE="http://drawterm.9front.org"
+DOWNLOAD="https://code.9front.org/hg/drawterm/archive/dc703b3438f9.tar.gz"
+MD5SUM="d5625ed2b9f830e94e7ddce1872da6f4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sean Hinchee"
+EMAIL="henesy.dev@gmail.com"
diff --git a/network/drawterm/slack-desc b/network/drawterm/slack-desc
new file mode 100644
index 0000000000..42103d6e9f
--- /dev/null
+++ b/network/drawterm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+drawterm: drawterm (connect to Plan 9 and 9front systems)
+drawterm:
+drawterm: Drawterm is a program which attempts to emulate various portions of
+drawterm: a 9front kernel and summarily connect to a 9front cpu and auth
+drawterm: server. 9front's fork of drawterm adds support for 9front's refined
+drawterm: authentication protocol, but can authenticate with less secure
+drawterm: Plan 9 systems using p9sk1.
+drawterm:
+drawterm: Homepage: http://drawterm.9front.org
+drawterm:
+drawterm: